Bug 204217 - www/squid: update to 3.5.11
Summary: www/squid: update to 3.5.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-02 09:52 UTC by timp87
Modified: 2015-11-11 17:27 UTC (History)
2 users (show)

See Also:


Attachments
port patch (7.62 KB, patch)
2015-11-02 09:52 UTC, timp87
timp87: maintainer-approval+
Details | Diff
poudriere log (995.47 KB, text/plain)
2015-11-02 09:54 UTC, timp87
no flags Details
port patch 2 (8.65 KB, patch)
2015-11-10 16:44 UTC, timp87
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2015-11-02 09:52:18 UTC
Created attachment 162693 [details]
port patch

Hi!
- update port to 3.5.10
- fix 'portlint -AC' output
Comment 1 timp87 2015-11-02 09:54:13 UTC
Created attachment 162694 [details]
poudriere log
Comment 2 ncrogers 2015-11-09 18:16:08 UTC
FWIW, this patch worked well for me to go from 3.5.10 to 3.5.11. Thank you for keeping squid up to date quickly!
Comment 3 timp87 2015-11-09 18:42:10 UTC
(In reply to ncrogers from comment #2)
Thank you!
I'm working on squid4 port now.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-10 07:59:39 UTC
@Tim, for changes/ports you are maintainer of, don't forget to set maintainer-approval to + on the attachment you want to be references.

Thanks!
Comment 5 timp87 2015-11-10 08:26:09 UTC
(In reply to Kubilay Kocak from comment #4)
Ok. Done! Thanks!
Comment 6 timp87 2015-11-10 16:44:22 UTC
Created attachment 162971 [details]
port patch 2

A bit changed version

- update port to 3.5.10;
- fix 'portlint -AC' output;
- don't create/delete /var/run/squid dir from rc.d script since this dir is in pkg-plist.
Comment 7 commit-hook freebsd_committer 2015-11-11 17:25:35 UTC
A commit references this bug:

Author: junovitch
Date: Wed Nov 11 17:24:32 UTC 2015
New revision: 401286
URL: https://svnweb.freebsd.org/changeset/ports/401286

Log:
  www/squid: update 3.5.10 -> 3.5.11

  - Regen patches for new release and for portlint
  - Drop creating/deleting /var/run/squid in the rc script as this duplicates
    handling it in the pkg-plist

  Changes:
  * Bug 3574: crashes on reconfigure and startup
  * Bug 4347: compile errors with LibreSSL 2.3
  * Bug 4281: copy-paste typos in src/tools.cc
  * Bug 4279: No response from proxy for FTP-download of non-existing file
  * Bug 4188: Bumping intercepted SSL connections does not work on Solaris
  * Fix incorrect authentication headers on cache digest requests
  * Fix connection stats, including %<lp, missing for persistent connections
  * Fix invalid memory access issues in SBuf
  * Avoid errors when parsing manager ACL in old squid.conf

  PR:		204217
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)
  Tested by:	ncrogers@gmail.com

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/patch-compat_compat.h
  head/www/squid/files/patch-compat_shm.cc
  head/www/squid/files/patch-configure
  head/www/squid/files/patch-src-cf.data.pre
  head/www/squid/files/patch-src_DiskIO_Mmapped_MmappedFile.cc
  head/www/squid/files/patch-src__ip__Intercept.cc
  head/www/squid/files/patch-src_ipc_mem_Segment.cc
  head/www/squid/files/patch-src_tools.cc
  head/www/squid/files/squid.in
Comment 8 Jason Unovitch freebsd_committer 2015-11-11 17:27:08 UTC
Committed.  @Pavel, thanks for the high quality submission.  @ncrogers, thanks for the additional usability testing!